petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatGetColumnVector

Gets the values from a given column of a matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatGetColumnVector(Mat A,Vec yy,PetscInt col)

Not Collective

### Input Parameters

| A | - the matrix
| yy | - the vector
| col | - the column requested (in global numbering)

### Notes

Each processor for which this is called gets the values for its rows.

Since PETSc matrices are usually stored in compressed row format, this routine will generally be slow.

The vector must have the same parallel row layout as the matrix.

Contributed by: Denis Vanderstraeten

### See Also

MatGetRow(), MatGetDiagonal()

### Level

advanced

### Location

src/mat/utils/getcolv.c

### Implementations

MatGetColumnVector_MPIDense in src/mat/impls/dense/mpi/mpidense.c
MatGetColumnVector_SeqDense in src/mat/impls/dense/seq/dense.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages